Company logoTrust Center Documentation
API v1 ReferenceNda templatesIdFileVersionsVersionid

Read NDA template version PDF

Return the PDF attached to a template version. The template, version, and file must belong to the authenticated tenant. Missing and unauthorized files both…

GET
/api/v1/nda-templates/{id}/file/versions/{versionId}

Return the PDF attached to a template version. The template, version, and file must belong to the authenticated tenant. Missing and unauthorized files both return 404.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

NDA template ID

Formatuuid
versionId*string

NDA template version ID

Formatuuid

Response Body

application/pdf

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/nda-templates/497f6eca-6276-4993-bfeb-53cbbbba6f08/file/versions/497f6eca-6276-4993-bfeb-53cbbbba6f08"
"string"

How is this guide?